17.10.2018 19:16    

kaan0624
Merhabalar cümleten. Benim şöyle bir sorum olacak herhangi bir texte tıkladığımda en yakınındaki line nasıl seçtiririm. Böyle bişey mümkünmüdür. Değerli hocalarıma selamlar

17.10.2018 22:22    

alumina
Alıntı
kaan0624 :

Kod:

(defun c:sl (/ ns sc ss n m p ls) (vl-load-com)
  (if (setq ns (ssget ":s" '((0 . "text")))
        sc (ssadd) ss (ssget "x" '((0 . "line"))))
    (progn
      (repeat (setq n (sslength ss))
        (setq n (1- n) m (ssname ss n) p (cdr (assoc
          10 (entget (ssname ns 0)))) ls (cons (list
            m (distance p (vlax-curve-getclosestpointto
              (vlax-ename->vla-object m) p))) ls)))
      (sssetfirst nil (ssadd (caar (vl-sort ls
        '(lambda(a b) (< (cadr a) (cadr b))))) sc))
    )
  ) (princ)
)

17.10.2018 22:26    

kaan0624
aslan hocam bilmemki ben senin hakkını nasıl öderim sağolasın varolasın.

18.06.2020 08:56    

bery35
Alıntı
alumina :
Alıntı
kaan0624 :

Kod:

(defun c:sl (/ ns sc ss n m p ls) (vl-load-com)
  (if (setq ns (ssget ":s" '((0 . "text")))
        sc (ssadd) ss (ssget "x" '((0 . "line"))))
    (progn
      (repeat (setq n (sslength ss))
        (setq n (1- n) m (ssname ss n) p (cdr (assoc
          10 (entget (ssname ns 0)))) ls (cons (list
            m (distance p (vlax-curve-getclosestpointto
              (vlax-ename->vla-object m) p))) ls)))
      (sssetfirst nil (ssadd (caar (vl-sort ls
        '(lambda(a b) (< (cadr a) (cadr b))))) sc))
    )
  ) (princ)
)




hocam bu lisp işime çok yarayacak, çoklu text seçecek şekilde yapmak zor olur mu

> 1 <
Copyright © 2004-2022 SQL: 0.928 saniye - Sorgu: 51 - Ortalama: 0.01819 saniye